Closed Bug 591831 Opened 12 years ago Closed 12 years ago

Intermittent mochitest-browser-chrome leak where leaked URL is http://videos-cdn.mozilla.net/firefox4beta/tabcandy_howto.webm

Categories

(Firefox Graveyard :: Panorama, defect, P2)

x86
macOS
defect

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: philor, Assigned: mitcho)

References

Details

(Keywords: intermittent-failure, memory-leak, Whiteboard: , [qa-])

http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1283120428.1283122442.11440.gz&fulltext=1#err0
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2010/08/29 15:20:28
s: talos-r3-leopard-031

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6342 bytes during test execution

Leaked URLs:
  http://videos-cdn.mozilla.net/firefox4beta/tabcandy_howto.webm
This issue should disappear once we remove the first-run video item and instead open a new tab on startup with a welcome page (bug 596075).
Status: NEW → UNCONFIRMED
Depends on: 596075
Ever confirmed: false
Priority: -- → P2
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1284759959.1284764047.19178.gz
WINNT 5.2 mozilla-central debug test mochitest-other

Leaked URLs:
  http://videos-cdn.mozilla.net/firefox4beta/tabcandy_howto.webm

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6602 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of CloseCookieDBListener with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of Connection with size 104 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of DBListenerErrorHandler with size 12 bytes each (36 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of HttpBaseChannel with size 240 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of QuotaCallback with size 12 bytes each (24 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of QuotaCallbackData with size 8 bytes each (16 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of Service with size 40 bytes
etc.
Assignee: nobody → mitcho
No longer apropos given our new method of dealing with first run.
Status: UNCONFIRMED → RESOLVED
Closed: 12 years ago
Resolution: --- → INVALID
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1287074510.1287076664.5914.gz&fulltext=1#err0
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/10/14 09:41:50
s: talos-r3-snow-011

Leaked URLs:
  http://videos-cdn.mozilla.net/firefox4beta/tabcandy_howto.webm
Status: RESOLVED → REOPENED
Ever confirmed: true
Resolution: INVALID → ---
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1287683143.1287685179.31145.gz&fulltext=1
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2010/10/21 10:45:43
s: talos-r3-snow-037

Leaked URLs:
  http://videos-cdn.mozilla.net/firefox4beta/tabcandy_howto.webm
Bug 596075 has landed, so this should be fixed by it.
Status: REOPENED → RESOLVED
Closed: 12 years ago12 years ago
Resolution: --- → FIXED
Blocks: mlkTests
Keywords: mlk
Whiteboard: [orange] → [orange], [qa-]
Whiteboard: [orange], [qa-] → , [qa-]
Product: Firefox → Firefox Graveyard
You need to log in before you can comment on or make changes to this bug.